# This is a sample build configuration for JavaScript.
# Check our guides at https://confluence.atlassian.com/x/14UWN for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
image: node:8.12.0
pipelines:
   branches:
      master:
      - step:
         deployment: production
         caches:
         - node
         script:
         - npm install -g firebase-tools
         - firebase deploy --token=$FIREBASE_TOKEN --project pipelines-1e966 --non-interactive
      dev:
      - step:
         deployment: test
         caches:
         - node
         script:
         - npm install -g firebase-tools
         - firebase deploy --token=$FIREBASE_TOKEN --project pipelines-dev --non-interactive